Subject: Re: bug#38007: scroll-lock binding on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2019 08:17:24 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Thu, 31 Oct 2019 23:59:45 +0100
> Cc: [email-masked]
> 
> OK. I see three ways:
> 
> - Something like this in bindings.el:
> 
> (define-key global-map (if (eq system-type 'windows-nt) [scroll] [Scroll_Lock]) 'scroll-lock-mode)
> 
> - Leave bindings.el as is and rebind the command to [scroll] in lisp/term/w32-win.el,
> 
> - Or use some of the translation keymaps to translate [scroll] into [Scroll_Lock].
> 
> Which one makes more sense?

I don't know yet, because I don't see where does Scroll_Lock come on
Posix platforms.  Can someone tell what did I miss?